import { b as brandName, k as __vitePreload } from "./index.3084aa9d.js";
import { at as defineAsyncComponent, r as ref, b as computed } from "./vendor.7bbea347.js";
const NavbarLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.20b06384.js"), true ? ["assets/AppLayout.20b06384.js","assets/AppLayout.051eba33.css","assets/index.3084aa9d.js","assets/index.aa7662e4.css","assets/vendor.7bbea347.js","assets/VIconButton.cfd2c92b.js","assets/VAvatar.e3b0a3cd.js","assets/VControl.76a04530.js","assets/VControl.66ed690d.css","assets/VField.a9a4c627.js","assets/VModal.5d84fc75.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.1916c63c.js","assets/VDropdown.1e857aae.js","assets/VDropdown.c0bc1257.css","assets/VIcon.32a71509.js","assets/mesaService.0141aaad.js","assets/masterService.c608b394.js"] : void 0));
const NavbarDropdownLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.20b06384.js"), true ? ["assets/AppLayout.20b06384.js","assets/AppLayout.051eba33.css","assets/index.3084aa9d.js","assets/index.aa7662e4.css","assets/vendor.7bbea347.js","assets/VIconButton.cfd2c92b.js","assets/VAvatar.e3b0a3cd.js","assets/VControl.76a04530.js","assets/VControl.66ed690d.css","assets/VField.a9a4c627.js","assets/VModal.5d84fc75.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.1916c63c.js","assets/VDropdown.1e857aae.js","assets/VDropdown.c0bc1257.css","assets/VIcon.32a71509.js","assets/mesaService.0141aaad.js","assets/masterService.c608b394.js"] : void 0));
const NavbarSearchLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.20b06384.js"), true ? ["assets/AppLayout.20b06384.js","assets/AppLayout.051eba33.css","assets/index.3084aa9d.js","assets/index.aa7662e4.css","assets/vendor.7bbea347.js","assets/VIconButton.cfd2c92b.js","assets/VAvatar.e3b0a3cd.js","assets/VControl.76a04530.js","assets/VControl.66ed690d.css","assets/VField.a9a4c627.js","assets/VModal.5d84fc75.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.1916c63c.js","assets/VDropdown.1e857aae.js","assets/VDropdown.c0bc1257.css","assets/VIcon.32a71509.js","assets/mesaService.0141aaad.js","assets/masterService.c608b394.js"] : void 0));
const layoutsComponents = {
  "navbar-default": NavbarLayout,
  "navbar-fade": NavbarLayout,
  "navbar-colored": NavbarLayout,
  "navbar-dropdown": NavbarDropdownLayout,
  "navbar-dropdown-colored": NavbarDropdownLayout,
  "navbar-clean": NavbarSearchLayout,
  "navbar-clean-center": NavbarSearchLayout,
  "navbar-clean-fade": NavbarSearchLayout
};
const navbarLayoutId = ref("navbar-default");
computed(() => {
  return layoutsComponents[navbarLayoutId.value] || NavbarLayout;
});
computed(() => {
  switch (navbarLayoutId.value) {
    case "navbar-fade":
    case "navbar-clean-fade":
      return "fade";
    case "navbar-colored":
    case "navbar-dropdown-colored":
      return "colored";
    case "navbar-clean-center":
      return "center";
    default:
      return "default";
  }
});
const pageTitle = computed(() => brandName.value);
export { pageTitle as p };
